library(mgwrsar)
colnames(sdf@data)
sdata <- sdf@data
scoord <- sdf@coord
mgwrsarmod <- MGWRSAR(log(ar)~log(ater)+log(eter+1)++log(tomkoz+1)+as.factor(ker),sdata,scoord,kernels=c('gauss'),H=20)
summary_mgwrsar(mgwrsarmod)
plot_mgwrsar(mgwrsarmod,type="B_coef",var='ater')
leaflet(mgwrsarmod) |>
	addCircles(lng=mgwrsarmod$data$lon,lat=mgwrsarmod$data$lat,radius = 10,fillColor = mgwrsarmod$residuals
						 ,weight = 0) |>
	addTiles()
colnames(mgwrsarmod$Betav)
